## minimap2 2.17+dfsg

=== Makefile ===
CFLAGS=		-g -Wall -O2 -Wc++-compat #-Wextra
CPPFLAGS=	-DHAVE_KALLOC
INCLUDES=
OBJS=		kthread.o kalloc.o misc.o bseq.o sketch.o sdust.o options.o index.o chain.o align.o hit.o map.o format.o pe.o esterr.o splitidx.o ksw2_ll_sse.o
PROG=		minimap2
PROG_EXTRA=	sdust minimap2-lite
LIBS=		-lm -lz -lpthread

ifeq ($(arm_neon),) # if arm_neon is not defined
ifeq ($(sse2only),) # if sse2only is not defined
	OBJS+=ksw2_extz2_sse41.o ksw2_extd2_sse41.o ksw2_exts2_sse41.o ksw2_extz2_sse2.o ksw2_extd2_sse2.o ksw2_exts2_sse2.o ksw2_dispatch.o
else                # if sse2only is defined
	OBJS+=ksw2_extz2_sse.o ksw2_extd2_sse.o ksw2_exts2_sse.o
endif
else				# if arm_neon is defined
	OBJS+=ksw2_extz2_neon.o ksw2_extd2_neon.o ksw2_exts2_neon.o
    INCLUDES+=-Isse2neon
ifeq ($(aarch64),)	#if aarch64 is not defined
	CFLAGS+=-D_FILE_OFFSET_BITS=64 -mfpu=neon -fsigned-char
else				#if aarch64 is defined
	CFLAGS+=-D_FILE_OFFSET_BITS=64 -fsigned-char
endif
endif

.PHONY:all extra clean depend
.SUFFIXES:.c .o

.c.o:
		$(CC) -c $(CFLAGS) $(CPPFLAGS) $(INCLUDES) $< -o $@

all:$(PROG)

extra:all $(PROG_EXTRA)

minimap2:main.o libminimap2.a
		$(CC) $(CFLAGS) main.o -o $@ -L. -lminimap2 $(LIBS)

minimap2-lite:example.o libminimap2.a
		$(CC) $(CFLAGS) $< -o $@ -L. -lminimap2 $(LIBS)

libminimap2.a:$(OBJS)
		$(AR) -csru $@ $(OBJS)

sdust:sdust.c kalloc.o kalloc.h kdq.h kvec.h kseq.h ketopt.h sdust.h
		$(CC) -D_SDUST_MAIN $(CFLAGS) $< kalloc.o -o $@ -lz

# SSE-specific targets on x86/x86_64

ifeq ($(arm_neon),)   # if arm_neon is defined, compile this target with the default setting (i.e. no -msse2)
ksw2_ll_sse.o:ksw2_ll_sse.c ksw2.h kalloc.h
		$(CC) -c $(CFLAGS) -msse2 $(CPPFLAGS) $(INCLUDES) $< -o $@
endif

ksw2_extz2_sse41.o:ksw2_extz2_sse.c ksw2.h kalloc.h
		$(CC) -c $(CFLAGS) -msse4.1 $(CPPFLAGS) -DKSW_CPU_DISPATCH $(INCLUDES) $< -o $@

ksw2_extz2_sse2.o:ksw2_extz2_sse.c ksw2.h kalloc.h
		$(CC) -c $(CFLAGS) -msse2 -mno-sse4.1 $(CPPFLAGS) -DKSW_CPU_DISPATCH -DKSW_SSE2_ONLY $(INCLUDES) $< -o $@

ksw2_extd2_sse41.o:ksw2_extd2_sse.c ksw2.h kalloc.h
		$(CC) -c $(CFLAGS) -msse4.1 $(CPPFLAGS) -DKSW_CPU_DISPATCH $(INCLUDES) $< -o $@

ksw2_extd2_sse2.o:ksw2_extd2_sse.c ksw2.h kalloc.h
		$(CC) -c $(CFLAGS) -msse2 -mno-sse4.1 $(CPPFLAGS) -DKSW_CPU_DISPATCH -DKSW_SSE2_ONLY $(INCLUDES) $< -o $@

ksw2_exts2_sse41.o:ksw2_exts2_sse.c ksw2.h kalloc.h
		$(CC) -c $(CFLAGS) -msse4.1 $(CPPFLAGS) -DKSW_CPU_DISPATCH $(INCLUDES) $< -o $@

ksw2_exts2_sse2.o:ksw2_exts2_sse.c ksw2.h kalloc.h
		$(CC) -c $(CFLAGS) -msse2 -mno-sse4.1 $(CPPFLAGS) -DKSW_CPU_DISPATCH -DKSW_SSE2_ONLY $(INCLUDES) $< -o $@

ksw2_dispatch.o:ksw2_dispatch.c ksw2.h
		$(CC) -c $(CFLAGS) -msse4.1 $(CPPFLAGS) -DKSW_CPU_DISPATCH $(INCLUDES) $< -o $@

# NEON-specific targets on ARM

ksw2_extz2_neon.o:ksw2_extz2_sse.c ksw2.h kalloc.h
		$(CC) -c $(CFLAGS) $(CPPFLAGS) -DKSW_SSE2_ONLY -D__SSE2__ $(INCLUDES) $< -o $@

ksw2_extd2_neon.o:ksw2_extd2_sse.c ksw2.h kalloc.h
		$(CC) -c $(CFLAGS) $(CPPFLAGS) -DKSW_SSE2_ONLY -D__SSE2__ $(INCLUDES) $< -o $@

ksw2_exts2_neon.o:ksw2_exts2_sse.c ksw2.h kalloc.h
		$(CC) -c $(CFLAGS) $(CPPFLAGS) -DKSW_SSE2_ONLY -D__SSE2__ $(INCLUDES) $< -o $@

# other non-file targets

clean:
		rm -fr gmon.out *.o a.out $(PROG) $(PROG_EXTRA) *~ *.a *.dSYM build dist mappy*.so mappy.c python/mappy.c mappy.egg*

depend:
		(LC_ALL=C; export LC_ALL; makedepend -Y -- $(CFLAGS) $(CPPFLAGS) -- *.c)

# DO NOT DELETE

align.o: minimap.h mmpriv.h bseq.h ksw2.h kalloc.h
bseq.o: bseq.h kvec.h kalloc.h kseq.h
chain.o: minimap.h mmpriv.h bseq.h kalloc.h
esterr.o: mmpriv.h minimap.h bseq.h
example.o: minimap.h kseq.h
format.o: kalloc.h mmpriv.h minimap.h bseq.h
hit.o: mmpriv.h minimap.h bseq.h kalloc.h khash.h
index.o: kthread.h bseq.h minimap.h mmpriv.h kvec.h kalloc.h khash.h
kalloc.o: kalloc.h
ksw2_extd2_sse.o: ksw2.h kalloc.h
ksw2_exts2_sse.o: ksw2.h kalloc.h
ksw2_extz2_sse.o: ksw2.h kalloc.h
ksw2_ll_sse.o: ksw2.h kalloc.h
kthread.o: kthread.h
main.o: bseq.h minimap.h mmpriv.h ketopt.h
map.o: kthread.h kvec.h kalloc.h sdust.h mmpriv.h minimap.h bseq.h khash.h
map.o: ksort.h
misc.o: mmpriv.h minimap.h bseq.h ksort.h
options.o: mmpriv.h minimap.h bseq.h
pe.o: mmpriv.h minimap.h bseq.h kvec.h kalloc.h ksort.h
sdust.o: kalloc.h kdq.h kvec.h ketopt.h sdust.h
sketch.o: kvec.h kalloc.h mmpriv.h minimap.h bseq.h
splitidx.o: mmpriv.h minimap.h bseq.h

## minimap2 2.14+dfsg

=== debian/changelog ===
minimap2 (2.14+dfsg-1) unstable; urgency=low

  * Initial packaging (Closes: #906332)

 -- Andreas Tille <tille@debian.org>  Fri, 09 Nov 2018 23:36:05 +0100

=== debian/control ===
Source: minimap2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               d-shlibs,
               zlib1g-dev,
               texlive-latex-extra,
               texlive-science,
               texlive-font-utils,
               ghostscript,
               gnuplot
Standards-Version: 4.2.0
Vcs-Browser: https://salsa.debian.org/med-team/minimap2
Vcs-Git: https://salsa.debian.org/med-team/minimap2.git
Homepage: https://github.com/lh3/minimap2

Package: minimap2
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         zlib1g
Description: versatile pairwise aligner for genomic and spliced nucleotide sequences
 Minimap2 is a versatile sequence alignment program that aligns DNA or
 mRNA sequences against a large reference database. Typical use cases
 include: (1) mapping PacBio or Oxford Nanopore genomic reads to the
 human genome; (2) finding overlaps between long reads with error rate up
 to ~15%; (3) splice-aware alignment of PacBio Iso-Seq or Nanopore cDNA
 or Direct RNA reads against a reference genome; (4) aligning Illumina
 single- or paired-end reads; (5) assembly-to-assembly alignment; (6) full-
 genome alignment between two closely related species with divergence
 below ~15%.
 .
 For ~10kb noisy reads sequences, minimap2 is tens of times faster than
 mainstream long-read mappers such as BLASR, BWA-MEM, NGMLR and GMAP. It
 is more accurate on simulated long reads and produces biologically
 meaningful alignment ready for downstream analyses. For >100bp Illumina
 short reads, minimap2 is three times as fast as BWA-MEM and Bowtie2, and
 as accurate on simulated data. Detailed evaluations are available from
 the minimap2 paper or the preprint.

## minimap2 2.15+dfsg

=== debian/changelog ===
minimap2 (2.15+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix FTBFS on armhf and arm64: pass relevant variable to make.
    Closes: #929275

 -- Helmut Grohne <helmut@subdivi.de>  Mon, 20 May 2019 17:26:01 +0200

minimap2 (2.15+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Fri, 11 Jan 2019 22:40:39 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	cd tex && make clean

ifneq (,$(filter $(DEB_HOST_ARCH_CPU)-$(DEB_HOST_ARCH_ABI),arm-eabihf arm64-base))
build_vars += arm_neon=1
ifneq (,$(filter $(DEB_HOST_ARCH_CPU),arm64))
build_vars += aarch64=1
endif
endif

override_dh_auto_build:
	dh_auto_build -- $(build_vars)
	cd tex && make

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/test_script
	rm test.sam
endif

override_dh_compress:
	dh_compress --exclude=.pdf

## minimap2 2.17+dfsg

=== debian/changelog ===
minimap2 (2.17+dfsg-2) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Add support for more architectures using the SIMD Everyhere library
    Closes: #922620
  * Standards-Version: 4.4.1

  [ Andreas Tille ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit.

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 12 Jan 2020 18:22:11 +0100

minimap2 (2.17+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0

 -- Andreas Tille <tille@debian.org>  Thu, 01 Aug 2019 15:23:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                d-shlibs,
                zlib1g-dev,
                texlive-latex-extra,
@@ -11,7 +11,7 @@
                texlive-font-utils,
                ghostscript,
                gnuplot
-Standards-Version: 4.2.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/med-team/minimap2
 Vcs-Git: https://salsa.debian.org/med-team/minimap2.git
 Homepage: https://github.com/lh3/minimap2

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/architecture.mk
+export DEB_CFLAGS_MAINT_APPEND += -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP
 
 %:
 	dh $@
@@ -10,11 +11,12 @@
 	dh_auto_clean
 	cd tex && make clean
 
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU)-$(DEB_HOST_ARCH_ABI),arm-eabihf arm64-base))
-build_vars += arm_neon=1
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU),arm64))
+ifneq (,$(filter $(DEB_HOST_ARCH_CPU),amd64))
+build_vars += amd64=1
+else ifneq (,$(filter $(DEB_HOST_ARCH_CPU),amd64))
+build_vars += i386=1
+else ifneq (,$(filter $(DEB_HOST_ARCH_CPU),arm64))
 build_vars += aarch64=1
-endif
 endif
 
 override_dh_auto_build:

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
   https://github.com/lh3/minimap2/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## minimap2 2.22+dfsg

=== debian/changelog ===
minimap2 (2.22+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Andreas Tille ]
  * Fix watchfile to detect new versions on github
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Use sensible file name for uscan downloads

  [ Michael R. Crusoe ]
  * Refresh patches, dropping simde
  * Add setuptools as a build-dep

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 14 Oct 2021 12:59:39 +0200

minimap2 (2.17+dfsg-12) unstable; urgency=medium

  [ Michael Hudson-Doyle ]
  * d/patches/python-sse4-arch.patch: Only pass -msse4.1 to the compiler on
    amd64.
    Closes: #969596

 -- Andreas Tille <tille@debian.org>  Tue, 15 Sep 2020 10:54:02 +0200

minimap2 (2.17+dfsg-11) unstable; urgency=medium

  * Add lintian-override
  * Manpage for minimap2.py

 -- Andreas Tille <tille@debian.org>  Tue, 07 Jul 2020 11:32:26 +0200

minimap2 (2.17+dfsg-10) unstable; urgency=medium

  * Provide Python3 interface
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 23 Jun 2020 21:40:16 +0200

minimap2 (2.17+dfsg-9) unstable; urgency=medium

  * Team upload.
  * Use the libsimde-dev package instead of the code copy

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sun, 19 Apr 2020 14:49:51 +0200

minimap2 (2.17+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Delete addLTO.patch
    Closes: #956136

 -- Hamid Nassiby <h.nassiby@gmail.com>  Mon, 13 Apr 2020 08:18:05 +0200

minimap2 (2.17+dfsg-7) unstable; urgency=medium

  * Merge changelog entries of several never released package versions
  * Add salsa-ci file (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Add missing DEP3 fields

 -- Andreas Tille <tille@debian.org>  Wed, 25 Mar 2020 15:17:28 +0100

minimap2 (2.17+dfsg-6) unstable; urgency=medium

  * Team upload
  * Created -dev package
  * Standards-Version: 4.5.0
  * Added Link-Time-Optimization
  * Added include files
  * d/control: Added Rules-Requires-Root flag
  * Manually invoking ranlib
  * In reaction to the FTPmaster's rejection notice
    - added copyright referenced in .tex
    - added current copyright holder (Dana Farber Institute)

 -- Steffen Moeller <moeller@debian.org>  Sun, 22 Mar 2020 00:52:34 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
# from minimap 1
#export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
include /usr/share/dpkg/architecture.mk
export DEB_CFLAGS_MAINT_APPEND += -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -DUSE_SIMDE -DSIMDE_ENABLE_NATIVE_ALIASES

RANLIB ?= ranlib

%:
	dh $@ --with python3

override_dh_auto_clean:
	dh_auto_clean
	cd tex && make clean
	rm -f MT-human.mmi
	rm -f tex/minimap2.aux tex/minimap2.bbl tex/minimap2.blg tex/minimap2.log tex/minimap2.out tex/minimap2.pdf
	rm -f libminimap2.a

ifneq (,$(filter $(DEB_HOST_ARCH_CPU),amd64))
build_vars += amd64=1
else ifneq (,$(filter $(DEB_HOST_ARCH_CPU),amd64))
build_vars += i386=1
else ifneq (,$(filter $(DEB_HOST_ARCH_CPU),arm64))
build_vars += aarch64=1
endif

override_dh_auto_build:
	dh_auto_build -- $(build_vars)
	cd tex && make
	dh_auto_build --buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/test_script
	rm test.sam
endif

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=pybuild

override_dh_compress:
	dh_compress --exclude=.pdf

# No idea why, but the stipping ruined the index of the .a file as spotted by nanopolish
# as its reverse dependency
override_dh_strip:
	dh_strip
	$(RANLIB) $(CURDIR)/debian/libminimap2-dev/usr/lib/libminimap2.a

override_dh_installman:
	dh_installman --language=C

## minimap2 2.24%2Bdfsg

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/lh3/minimap2/releases .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## minimap2 2.24+dfsg

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,9 @@
 CFLAGS=		-g -Wall -O2 -Wc++-compat #-Wextra
 CPPFLAGS=	-DHAVE_KALLOC
 INCLUDES=
-OBJS=		kthread.o kalloc.o misc.o bseq.o sketch.o sdust.o options.o index.o chain.o align.o hit.o map.o format.o pe.o esterr.o splitidx.o ksw2_ll_sse.o
+OBJS=		kthread.o kalloc.o misc.o bseq.o sketch.o sdust.o options.o index.o \
+			lchain.o align.o hit.o seed.o map.o format.o pe.o esterr.o splitidx.o \
+			ksw2_ll_sse.o
 PROG=		minimap2
 PROG_EXTRA=	sdust minimap2-lite
 LIBS=		-lm -lz -lpthread
@@ -20,6 +22,16 @@
 else				#if aarch64 is defined
 	CFLAGS+=-D_FILE_OFFSET_BITS=64 -fsigned-char
 endif
+endif
+
+ifneq ($(asan),)
+	CFLAGS+=-fsanitize=address
+	LIBS+=-fsanitize=address
+endif
+
+ifneq ($(tsan),)
+	CFLAGS+=-fsanitize=thread
+	LIBS+=-fsanitize=thread
 endif
 
 .PHONY:all extra clean depend
@@ -93,26 +105,28 @@
 
 # DO NOT DELETE
 
-align.o: minimap.h mmpriv.h bseq.h ksw2.h kalloc.h
+align.o: minimap.h mmpriv.h bseq.h kseq.h ksw2.h kalloc.h
 bseq.o: bseq.h kvec.h kalloc.h kseq.h
-chain.o: minimap.h mmpriv.h bseq.h kalloc.h
-esterr.o: mmpriv.h minimap.h bseq.h
+esterr.o: mmpriv.h minimap.h bseq.h kseq.h
 example.o: minimap.h kseq.h
-format.o: kalloc.h mmpriv.h minimap.h bseq.h
-hit.o: mmpriv.h minimap.h bseq.h kalloc.h khash.h
-index.o: kthread.h bseq.h minimap.h mmpriv.h kvec.h kalloc.h khash.h
+format.o: kalloc.h mmpriv.h minimap.h bseq.h kseq.h
+hit.o: mmpriv.h minimap.h bseq.h kseq.h kalloc.h khash.h
+index.o: kthread.h bseq.h minimap.h mmpriv.h kseq.h kvec.h kalloc.h khash.h
+index.o: ksort.h
 kalloc.o: kalloc.h
 ksw2_extd2_sse.o: ksw2.h kalloc.h
 ksw2_exts2_sse.o: ksw2.h kalloc.h
 ksw2_extz2_sse.o: ksw2.h kalloc.h
 ksw2_ll_sse.o: ksw2.h kalloc.h
 kthread.o: kthread.h
-main.o: bseq.h minimap.h mmpriv.h ketopt.h
-map.o: kthread.h kvec.h kalloc.h sdust.h mmpriv.h minimap.h bseq.h khash.h
-map.o: ksort.h
-misc.o: mmpriv.h minimap.h bseq.h ksort.h
-options.o: mmpriv.h minimap.h bseq.h
-pe.o: mmpriv.h minimap.h bseq.h kvec.h kalloc.h ksort.h
-sdust.o: kalloc.h kdq.h kvec.h ketopt.h sdust.h
-sketch.o: kvec.h kalloc.h mmpriv.h minimap.h bseq.h
-splitidx.o: mmpriv.h minimap.h bseq.h
+lchain.o: mmpriv.h minimap.h bseq.h kseq.h kalloc.h krmq.h
+main.o: bseq.h minimap.h mmpriv.h kseq.h ketopt.h
+map.o: kthread.h kvec.h kalloc.h sdust.h mmpriv.h minimap.h bseq.h kseq.h
+map.o: khash.h ksort.h
+misc.o: mmpriv.h minimap.h bseq.h kseq.h ksort.h
+options.o: mmpriv.h minimap.h bseq.h kseq.h
+pe.o: mmpriv.h minimap.h bseq.h kseq.h kvec.h kalloc.h ksort.h
+sdust.o: kalloc.h kdq.h kvec.h sdust.h
+seed.o: mmpriv.h minimap.h bseq.h kseq.h kalloc.h ksort.h
+sketch.o: kvec.h kalloc.h mmpriv.h minimap.h bseq.h kseq.h
+splitidx.o: mmpriv.h minimap.h bseq.h kseq.h

=== debian/changelog ===
minimap2 (2.24+dfsg-3) unstable; urgency=medium

  * Fix watch file
  * Standards-Version: 4.6.1 (routine-update)
  * Update lintian override info format in d/python3-mappy.lintian-overrides on
    line 2.

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 20:52:21 +0100

minimap2 (2.24+dfsg-2) unstable; urgency=medium

  * Team Upload.
  * Re-enable and adapt older simde patch to
    import properly on !x86 and !arm64 (Closes: #1004455)
  * d/t/control: Add superficial import test for mappy

 -- Nilesh Patra <nilesh@debian.org>  Sat, 12 Mar 2022 14:43:04 +0530

minimap2 (2.24+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 17 Feb 2022 15:33:57 +0100

minimap2 (2.22+dfsg-3) unstable; urgency=medium

  * Team upload
  * Add SIMDe bits to python-sse4-arch.patch ; adjust SIMDe patch.
    Closes: #998015

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Nov 2021 19:23:30 +0100

minimap2 (2.22+dfsg-2) unstable; urgency=medium

  * Team upload
  * Fix non-x86 build.
  * mark do_not_use_natbib.bst.patch as not needing forwarding
  * Revive SIMDe patch
  * debian/copyright: exclude sse2neon in favor of libsimde-dev

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 07 Nov 2021 17:06:42 +0100

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,24 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               python3-setuptools,
+               dh-python,
+               cython3,
+               python3-all-dev,
                d-shlibs,
                zlib1g-dev,
                texlive-latex-extra,
                texlive-science,
                texlive-font-utils,
                ghostscript,
-               gnuplot
-Standards-Version: 4.4.1
+               gnuplot,
+               libsimde-dev
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/minimap2
 Vcs-Git: https://salsa.debian.org/med-team/minimap2.git
 Homepage: https://github.com/lh3/minimap2
+Rules-Requires-Root: no
 
 Package: minimap2
 Architecture: any
@@ -39,3 +45,42 @@
  short reads, minimap2 is three times as fast as BWA-MEM and Bowtie2, and
  as accurate on simulated data. Detailed evaluations are available from
  the minimap2 paper or the preprint.
+
+Package: libminimap2-dev
+Architecture: any
+Section: libdevel
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         zlib1g-dev
+Description: development headers for libminimap
+ Minimap2 is a versatile sequence alignment program that aligns DNA or
+ mRNA sequences against a large reference database. Typical use cases
+ include: (1) mapping PacBio or Oxford Nanopore genomic reads to the
+ human genome; (2) finding overlaps between long reads with error rate up
+ to ~15%; (3) splice-aware alignment of PacBio Iso-Seq or Nanopore cDNA
+ or Direct RNA reads against a reference genome; (4) aligning Illumina
+ single- or paired-end reads; (5) assembly-to-assembly alignment; (6) full-
+ genome alignment between two closely related species with divergence
+ below ~15%.
+ .
+ This package contains the C library headers for using minimap in custom tools,
+ along with a static library.
+
+Package: python3-mappy
+Architecture: any
+Section: python
+Depends: ${shlibs:Depends},
+         ${python3:Depends},
+         ${misc:Depends}
+Description: Python3 interface minimap2
+ Minimap2 is a versatile sequence alignment program that aligns DNA or
+ mRNA sequences against a large reference database. Typical use cases
+ include: (1) mapping PacBio or Oxford Nanopore genomic reads to the
+ human genome; (2) finding overlaps between long reads with error rate up
+ to ~15%; (3) splice-aware alignment of PacBio Iso-Seq or Nanopore cDNA
+ or Direct RNA reads against a reference genome; (4) aligning Illumina
+ single- or paired-end reads; (5) assembly-to-assembly alignment; (6) full-
+ genome alignment between two closely related species with divergence
+ below ~15%.
+ .
+ This package contains the Python3 interface for using minimap2.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-# from minimap 1
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 include /usr/share/dpkg/architecture.mk
-export DEB_CFLAGS_MAINT_APPEND += -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP -DUSE_SIMDE -DSIMDE_ENABLE_NATIVE_ALIASES
 
 RANLIB ?= ranlib
 
@@ -18,13 +15,13 @@
 	rm -f tex/minimap2.aux tex/minimap2.bbl tex/minimap2.blg tex/minimap2.log tex/minimap2.out tex/minimap2.pdf
 	rm -f libminimap2.a
 
-ifneq (,$(filter $(DEB_HOST_ARCH_CPU),amd64))
-build_vars += amd64=1
-else ifneq (,$(filter $(DEB_HOST_ARCH_CPU),amd64))
-build_vars += i386=1
-else ifneq (,$(filter $(DEB_HOST_ARCH_CPU),arm64))
-build_vars += aarch64=1
+ifeq (,$(filter $(DEB_HOST_ARCH_CPU),amd64 i386))
+build_vars = -f Makefile.simde
+export DEB_CFLAGS_MAINT_APPEND += -fopenmp-simd -O3 -DSIMDE_ENABLE_OPENMP
 endif
+# ifneq (,$(filter $(DEB_HOST_ARCH_CPU),arm64))
+# build_vars += aarch64=1
+# endif
 
 override_dh_auto_build:
 	dh_auto_build -- $(build_vars)

## minimap2 2.26+dfsg

=== tex/Makefile ===
.SUFFIXES: .gp .tex .eps .pdf .eps.gz

.eps.pdf:
		epstopdf --outfile $@ $<

.eps.gz.pdf:
		gzip -dc $< | epstopdf --filter > $@

.pdf.eps:
		pdftops -eps $< $@

all:minimap2.pdf

roc-color.eps:roc.gp
		gnuplot roc.gp

minimap2.pdf:minimap2.tex minimap2.bib roc-color.pdf
		pdflatex minimap2; bibtex minimap2; pdflatex minimap2; pdflatex minimap2;

clean:
		rm -fr *.toc *.aux *.bbl *.blg *.idx *.log *.out *~ minimap2.pdf

=== debian/changelog ===
minimap2 (2.26+dfsg-1build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:07:06 +0000

minimap2 (2.26+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * d/control: specify gnuplot-nox build-dep option first for consistency.
  * d/patches: forward some patches, update metadata

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 29 Feb 2024 15:44:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: minimap2
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                python3-setuptools,
-               dh-python,
+               dh-sequence-python3,
                cython3,
                python3-all-dev,
                d-shlibs,
@@ -14,9 +15,9 @@
                texlive-science,
                texlive-font-utils,
                ghostscript,
-               gnuplot,
+               gnuplot-nox | gnuplot,
                libsimde-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/minimap2
 Vcs-Git: https://salsa.debian.org/med-team/minimap2.git
 Homepage: https://github.com/lh3/minimap2

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 RANLIB ?= ranlib
 
 %:
-	dh $@ --with python3
+	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean

## minimap2 2.27%2Bdfsg

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/lh3/minimap2/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## minimap2 2.27+dfsg

=== Makefile ===
--- 
+++ 
@@ -7,6 +7,10 @@
 PROG=		minimap2
 PROG_EXTRA=	sdust minimap2-lite
 LIBS=		-lm -lz -lpthread
+
+ifneq ($(aarch64),)
+	arm_neon=1
+endif
 
 ifeq ($(arm_neon),) # if arm_neon is not defined
 ifeq ($(sse2only),) # if sse2only is not defined
@@ -26,12 +30,12 @@
 
 ifneq ($(asan),)
 	CFLAGS+=-fsanitize=address
-	LIBS+=-fsanitize=address
+	LIBS+=-fsanitize=address -ldl
 endif
 
 ifneq ($(tsan),)
 	CFLAGS+=-fsanitize=thread
-	LIBS+=-fsanitize=thread
+	LIBS+=-fsanitize=thread -ldl
 endif
 
 .PHONY:all extra clean depend

=== debian/changelog ===
minimap2 (2.27+dfsg-1build2) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 04 Mar 2025 17:36:44 +0000

minimap2 (2.27+dfsg-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:30:16 +0100

minimap2 (2.27+dfsg-1) unstable; urgency=medium

  * Team upload.
  * d/rules, d/clean: simply cleanup code.
  * d/rules: clean using pybuild. Closes: #1046060

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 18 Mar 2024 17:12:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: minimap2
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional

=== debian/tests/control ===
Tests: run-unit-test
Depends: @
Restrictions: allow-stderr

Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import mappy; print(mappy)" ; done
Depends: @, python3-all
Restrictions: allow-stderr, superficial
